Page MenuHomePhabricator

Mentee overview: Truncate long usernames to 20 characters
Closed, ResolvedPublic

Description

Usernames should be truncated to 20 characters, to not let extremely long usernames break the table.

Event Timeline

Urbanecm_WMF triaged this task as Medium priority.
Urbanecm_WMF renamed this task from Mentee overview: Truncate long usernames to 20 characters to Mentee overview: Truncate long usernames to 15 characters.Sep 30 2021, 6:31 PM
Urbanecm_WMF updated the task description. (Show Details)

Change 725086 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] Mentee overview: Truncate long usernames

https://gerrit.wikimedia.org/r/725086

Change 725086 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Mentee overview: Truncate long usernames

https://gerrit.wikimedia.org/r/725086

Change 727500 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] Revert \"Mentee overview: Truncate long usernames\"

https://gerrit.wikimedia.org/r/727500

Change 727500 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Revert \"Mentee overview: Truncate long usernames\"

https://gerrit.wikimedia.org/r/727500

Change 727501 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.3] Revert \"Mentee overview: Truncate long usernames\"

https://gerrit.wikimedia.org/r/727501

Change 728247 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@wmf/1.38.0-wmf.3] Revert \"Mentee overview: Truncate long usernames\"

https://gerrit.wikimedia.org/r/728247

Change 727501 abandoned by Urbanecm:

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.3] Revert \"Mentee overview: Truncate long usernames\"

Reason:

wrong branch

https://gerrit.wikimedia.org/r/727501

Change 728247 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.38.0-wmf.3] Revert \"Mentee overview: Truncate long usernames\"

https://gerrit.wikimedia.org/r/728247

Mentioned in SAL (#wikimedia-operations) [2021-10-12T07:58:08Z] <urbanecm@deploy1002> Synchronized php-1.38.0-wmf.3/extensions/GrowthExperiments/: 17dc3aa, e0ca905, c0f4f4e: GrowthExperiments backports (T292224, T290609, T290609) (duration: 00m 59s)

Checked in wmf.4 and betalabs (the screenshots below are from betalabs):

Screen Shot 2021-10-13 at 5.47.56 PM.png (1×1 px, 170 KB)
for long user names (up to 44 characters)
Screen Shot 2021-10-13 at 5.48.09 PM.png (1×1 px, 151 KB)

@Urbanecm_WMF - the long usernames do not seem to be truncated to 15 characters. For example, User-0.8666571529808691-Iñtërnâtiônàlizætiøn should be User-0.86665715...

Screen Shot 2021-10-13 at 5.53.42 PM.png (866×1 px, 106 KB)

Change 735722 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] Mentee overview: Update CSS selector to match reality

https://gerrit.wikimedia.org/r/735722

Change 735722 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Mentee overview: Update CSS selector to match reality

https://gerrit.wikimedia.org/r/735722

kostajh added a subscriber: kostajh.

Change 735722 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] Mentee overview: Update CSS selector to match reality

https://gerrit.wikimedia.org/r/735722

@Etonkovidova I think this is done, after the above patch was merged. Could you please verify?

Urbanecm_WMF renamed this task from Mentee overview: Truncate long usernames to 15 characters to Mentee overview: Truncate long usernames to 20 characters.Mar 10 2022, 2:46 PM
Urbanecm_WMF updated the task description. (Show Details)

Change 769709 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] Mentee overview: Truncate long usernames to 20 characters

https://gerrit.wikimedia.org/r/769709

Thanks for the reminder @kostajh. It was merged, but it was reverted later, and I forgot to upload a new patch. Another approach uploaded -- review would be appreciated.

Change 769709 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Mentee overview: Truncate long usernames to 20 characters

https://gerrit.wikimedia.org/r/769709